unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils,
  {$IFDEF WINDOWS}
  windows,
  {$ENDIF}
  FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  ExtCtrls, bz_HotKeyManager;

type

  { TForm1 }

  TForm1 = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Shape1: TShape;
    Shape2: TShape;
    Shape3: TShape;
    Shape4: TShape;
    procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
    procedure FormCreate(Sender: TObject);
  private
    { private declarations }
    HotKeyManager : TBZHotKeyManager;

    procedure processHotKey(Sender:TObject);
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }
procedure TForm1.processHotKey(Sender:TObject);
begin
  Form1.WindowState:=wsMaximized;
end;

procedure TForm1.FormCreate(Sender: TObject);
var
  modifiers,key:word;
  idx:integer;
begin
 modifiers := (MOD_CONTROL + MOD_ALT);
 key := VK_G;
 HotKeyManager:=TBZHotKeyManager.Create(self);
 idx:=HotKeyManager.AddHotKey(HotKeyManager.CreateHotKey(modifiers,Key));
 if idx>-1 then HotKeyManager.HotKeys[idx].OnExecute:=@processHotKey
 else ShowMessage('Il y a une erreur');
 HotKeyManager.Active := True;
end;

procedure TForm1.FormClose(Sender: TObject; var CloseAction: TCloseAction);
begin
  HotKeyManager.free;
end;

end.

