unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, bz_FormEx, bz_Button, Forms, Controls, Graphics,
  Dialogs, StdCtrls, ExtCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    BZButton1: TBZButton;
    BZButton2: TBZButton;
    BZButton3: TBZButton;
    BZButton4: TBZButton;
    BZFormEx1: TBZFormEx;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    CheckBox3: TCheckBox;
    CheckBox4: TCheckBox;
    GroupBox1: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    lblFormX: TLabel;
    lblMouseX: TLabel;
    lblFormY: TLabel;
    lblFormW: TLabel;
    lblFormH: TLabel;
    lblMouseY: TLabel;
    Timer1: TTimer;
    procedure BZButton1Click(Sender: TObject);
    procedure BZButton2Click(Sender: TObject);
    procedure BZButton3Click(Sender: TObject);
    procedure BZButton4Click(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
    procedure CheckBox3Click(Sender: TObject);
    procedure CheckBox4Click(Sender: TObject);

    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }
uses Unit2;

procedure TForm1.Timer1Timer(Sender: TObject);
begin

  lblFormX.Caption:=inttostr(Form1.Left);
  lblFormY.Caption:=inttostr(Form1.Top);
  lblFormW.Caption:=inttostr(Form1.Width);
  lblFormH.Caption:=inttostr(Form1.Height);

  lblMouseX.Caption := inttostr(BZFormEx1.MousePosX);
  lblMouseY.Caption := inttostr(BZFormEx1.MousePosY);
end;

procedure TForm1.BZButton1Click(Sender: TObject);
begin
  BZFormEx1.EnterFullScreen;
end;

procedure TForm1.BZButton2Click(Sender: TObject);
begin
  BZFormEx1.ExitFullScreen;
end;

procedure TForm1.BZButton3Click(Sender: TObject);
begin
  BZFormEx1.ShowForm('Form2',true);
end;

procedure TForm1.BZButton4Click(Sender: TObject);
begin
  BZFormEx1.HideForm('Form2',true);
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  //TCheckBox(Sender).Checked := not(TCheckBox(Sender).Checked);
  BZFormEx1.ActiveMoving := TCheckBox(Sender).Checked;
end;

procedure TForm1.CheckBox2Click(Sender: TObject);
begin
 // TCheckBox(Sender).Checked := not(TCheckBox(Sender).Checked);
  BZFormEx1.ActiveSizing := TCheckBox(Sender).Checked;
end;

procedure TForm1.CheckBox3Click(Sender: TObject);
begin
  //TCheckBox(Sender).Checked := not(TCheckBox(Sender).Checked);
  BZFormEx1.ScreenMagnet := TCheckBox(Sender).Checked;
end;

procedure TForm1.CheckBox4Click(Sender: TObject);
begin
 // TCheckBox(Sender).Checked := not(TCheckBox(Sender).Checked);
  BZFormEx1.Snapping := TCheckBox(Sender).Checked;
end;


procedure TForm1.FormCreate(Sender: TObject);
begin
 //  BZFormEx1.addChildForm('Form2',Form2);
end;

procedure TForm1.FormShow(Sender: TObject);
begin
  // ATTENTION IL EST IMPORTANT D AJOUTER LES FENETRES ENFANT DANS ONSHOW ET NON ONCREATE
  BZFormEx1.addChildForm('Form2',Form2);
end;

end.

