unit blz_lowclasses;
//==============================================================================
// @Projet : ORUS
// @Unit : OGE_LowClasses
// @Version : 0.0.1
//------------------------------------------------------------------------------
// @Auteur : J.Delauney
// @Licience : GNU/GPL
//------------------------------------------------------------------------------
// @Description :
//  Objets parents et definitions communes
//
//==============================================================================
// @Historique :
//  - 11/2007 : Creation
//
//==============================================================================
// @Commentaire :
//
//------------------------------------------------------------------------------
// @A Faire
//
//==============================================================================
{$mode objfpc}{$H+}
//{$I Orus.inc}
//==============================================================================

interface

//==============================================================================
uses
  Classes, SysUtils; 
//------------------------------------------------------------------------------

Type
  TBLZFastObject=Class
    Private
      FName : String;
    Public

      Constructor Create;Virtual;
      Destructor Destroy;Virtual;
      
      Class function NewInstance:TObject;Override;
      Procedure FreeInstance;Override;
      
      Property Name : String Read FName Write FName;
  End;
//==============================================================================

implementation

//==============================================================================
Constructor TBLZFastObject.Create;
begin

end;
Destructor TBLZFastObject.Destroy;
begin

end;

Class Function TBLZFastObject.NewInstance:TObject;
Type
  PClass=^TClass;
Var
 P:Pointer;
Begin
 GetMem(P,Self.InstanceSize);// Allocate Memory for this object
 Result:=TObject(P);     // Set the result
 InitInstance(P);        // Initialise the Instance
 PClass(Result)^:=Self;  // Init VMT, don't init fields.
End;

Procedure TBLZFastObject.FreeInstance;
Begin
 CleanupInstance;                          // Clean Up
 FreeMem(Pointer(Self),Self.InstanceSize); // Free Memeory
End;

//==============================================================================
end.

